
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PGL_CACHE_SYMBOL_H
#define PGL_CACHE_SYMBOL_H

#include "PglRecSym.h"

class BigSize;

// base class for robot and server symbols
class CacheSym: public RecSym {
	public:
		CacheSym();
		CacheSym(const String &aType, PglRec *aRec);

		virtual bool isA(const String &type) const;
		virtual SynSym *clone(const String &type) const;

		bool icpPort(int &port) const;
		bool capacity(BigSize &cap) const;
};

#endif
