
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_NOTIFIER_H
#define PG_NOTIFIER_H

#include "String.h"
#include "NetAddr.h"
#include "Socket.h"

class StatIntvlRec;

class Notifier {
	public:
		Notifier(const String &aLabel, const NetAddr &anAddr);
		~Notifier();

		bool active() const;

		void noteStats(const StatIntvlRec &s, int logCat);

	protected:
		String theLabel;
		NetAddr theAddr;
		Socket theSock;
};

#endif
