
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef XPARSER_LIBRARY_H
#define XPARSER_LIBRARY_H

#include "config.h"

#include <iostream.h>
#include <iomanip.h>

// handy manipulators to terminate a program after an error message
inline ostream &xabort(ostream &os) { ::abort(); return os; }
inline ostream &xexit(ostream &os) { ::exit(-1); return os; }

#ifndef here
#define here __FILE__ << ':' << __LINE__ << ": "
#endif

#endif
